program UzgajivaciJabuka;

var n, i, j: integer;
  a, p: array[1..1000000] of real;
  max, z: double;

begin
  readln(n);
  for i:= 1 to n do read(a[i], p[i]);
  max:=0;
  for i:= 2 to n do
  begin
    z:=0;
    for j:= 1 to n do
      if p[i]<=p[j] then
      begin
      z:=a[j]+z;
      if (z*(p[i]/100))>max then max:=(z*(p[i]/100));
      end;
  end;
  writeln(max:4:4);
end.